%define upstream_name Method-Alias
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Create method aliases (and do it safely)
Source:     https://cpan.metacpan.org/modules/by-module/Method/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
For a very long time, whenever I wanted to have a method alias (provide an
alternate name for a method) I would simple do a GLOB alias. That is,

  \# My method
  sub foo {
      ...
  }
  
  \# Alias the method
  *bar = *foo;

While this works fine for functions, it does *not* work for methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/Method


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.30.0-9.mga10
+ Revision: 2204032
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.30.0-8.mga9
+ Revision: 1809672
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-7.mga8
+ Revision: 1505125
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.30.0-6.mga7
+ Revision: 1284770
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.30.0-5.mga7
+ Revision: 1165486
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.30.0-4.mga7
+ Revision: 1158571
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-3.mga6
+ Revision: 1029884
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.30.0-2.mga6
+ Revision: 968921
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 857892
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.03-7.mga5
+ Revision: 750369
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-6.mga5
+ Revision: 685400
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.03-5.mga4
+ Revision: 512877
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.03-4.mga3
+ Revision: 369716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.03-3.mga1
+ Revision: 22606
- cleaning spec file
- imported package perl-Method-Alias


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.03-3mdv2010.0
+ Revision: 430503
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.03-2mdv2009.0
+ Revision: 268615
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
+ Revision: 213799
- import perl-Method-Alias


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
- first mdv release
